Class | Bio::TRANSFAC::CLASS
In: | lib/bio/db/transfac.rb
Parent: | TRANSFAC

### Methods

bf cl dr new sd

### Public Class methods

new(entry)

[Source]

         # File lib/bio/db/transfac.rb, line 307
    307:     def initialize(entry)
    308:       super(entry)
    309:     end

### Public Instance methods

bf()

BF Factors belonging to this class

[Source]

         # File lib/bio/db/transfac.rb, line 322
    322:     def bf
    323:       field_fetch('BF')
    324:     end

cl()

CL Class

[Source]

         # File lib/bio/db/transfac.rb, line 312
    312:     def cl
    313:       field_fetch('CL')
    314:     end

dr()

DR PROSITE accession numbers

[Source]

         # File lib/bio/db/transfac.rb, line 327
    327:     def dr
    328:       field_fetch('DR')
    329:     end

sd()

SD Structure description

[Source]

         # File lib/bio/db/transfac.rb, line 317
    317:     def sd
    318:       field_fetch('SD')
    319:     end

[Validate]